<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListChangeReq StructType
 * @subpackage Structs
 */
class ListChangeReq extends APIRequest
{
    /**
     * The startChangeId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var StartChangeId
     */
    public $startChangeId;
    /**
     * The objectList
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var ObjectList
     */
    public $objectList;
    /**
     * Constructor method for ListChangeReq
     * @uses ListChangeReq::setStartChangeId()
     * @uses ListChangeReq::setObjectList()
     * @param StartChangeId $startChangeId
     * @param ObjectList $objectList
     */
    public function __construct(StartChangeId $startChangeId = null, ObjectList $objectList = null)
    {
        $this
            ->setStartChangeId($startChangeId)
            ->setObjectList($objectList);
    }
    /**
     * Get startChangeId value
     * @return StartChangeId|null
     */
    public function getStartChangeId()
    {
        return $this->startChangeId;
    }
    /**
     * Set startChangeId value
     * @param StartChangeId $startChangeId
     * @return ListChangeReq
     */
    public function setStartChangeId(StartChangeId $startChangeId = null)
    {
        $this->startChangeId = $startChangeId;
        return $this;
    }
    /**
     * Get objectList value
     * @return ObjectList|null
     */
    public function getObjectList()
    {
        return $this->objectList;
    }
    /**
     * Set objectList value
     * @param ObjectList $objectList
     * @return ListChangeReq
     */
    public function setObjectList(ObjectList $objectList = null)
    {
        $this->objectList = $objectList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return ListChangeReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
